// Project Lab - NHTV IGAD
//////////////////////////////////////////
// Author: Yoshi van Belkom - 130118
//////////////////////////////////////////
// The Skill Tree Runtime Module Interface.
//////////////////////////////////////////

#pragma once

#include "ModuleManager.h"

class ISkillTree : public IModuleInterface
{
public:
	//Function to Get the Singleton of this Module if it's loaded.
	static inline ISkillTree& Get()
	{
		return FModuleManager::LoadModuleChecked< ISkillTree >( "SkillTree" );
	}

	//Function to check if the Module is loaded.
	static inline bool IsAvailable()
	{
		return FModuleManager::Get().IsModuleLoaded( "SkillTree" );
	}
};

